<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:param name="servlet" select="'undefined'"/>
  <xsl:param name="group" select="'undefined'"/>
  <xsl:param name="lcletters" select="'abcdefghijklmnopqrstuvwxyz'"/>
  <xsl:param name="ucletters" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
  <xsl:template match="/">
    <xsl:text disable-output-escaping="yes">
      <![CDATA[<!DOCTYPE vxml PUBLIC "-//Tellme Networks//Voice Markup Language 1.0//EN" "http://resources.tellme.com/toolbox/vxml-tellme.dtd">]]>
    </xsl:text>
    <vxml application="Phonebook.vxml">
      <xsl:for-each select="phonebook/contact[1]">
        <menu id="SelectNumber">
          <prompt>There are <xsl:value-of select="count(phone)"/> phone numbers for <xsl:value-of select="name/firstname"/><xsl:text> </xsl:text><xsl:value-of select="name/lastname"/>. Please select from the following options: 
            <xsl:for-each select="phone">
              <xsl:value-of select="translate(@type,$ucletters,$lcletters)"/><xsl:text> </xsl:text>
            </xsl:for-each>
            .
          </prompt>
          <xsl:for-each select="phone">
            <choice><xsl:attribute name="next">#Call<xsl:value-of select="@type"/></xsl:attribute><xsl:value-of select="translate(@type,$ucletters,$lcletters)"/></choice>
          </xsl:for-each>
          <catch event="nomatch noinput help">
            <reprompt/>
          </catch>
        </menu>
        <xsl:for-each select="phone">
          <form id="CallHome">
            <xsl:attribute name="id">Call<xsl:value-of select="@type"/></xsl:attribute>
            <block>
              <audio>Transferring call to Bill Currie at the <xsl:value-of select="@type"/> phone number.</audio>
            </block>
            <transfer>
              <xsl:attribute name="dest"><xsl:value-of select="areacode"/><xsl:value-of select="number"/></xsl:attribute>
            </transfer>
          </form>
        </xsl:for-each>
      </xsl:for-each>
    </vxml>
  </xsl:template>
</xsl:stylesheet>
